# draugr.numpy_utilities.datasets.categorical.shallow_category.build_shallow_categorical_dataset

draugr.numpy_utilities.datasets.categorical.shallow_category.build_shallow_categorical_dataset(directory: Union [ Path , str ], *, validation_percentage: float = 15, testing_percentage: float = 0, extensions: Iterable = ('png', 'PNG', 'jpg', 'JPG', 'jpeg', 'JPEG', 'gif', 'GIF'), is_valid_file: callable = None, verbose: bool = False) → Dict [ str , Dict [ SplitEnum , Sequence ]]

  Returns: An OrderedDict containing an entry for each label subfolder, with images split into training, testing, and validation sets within each label. The order of items defines the class indices.

  > param is_valid_file

  > param directory

  > param validation_percentage

  > param testing_percentage

  > param extensions

  > param verbose

  > return